#include "partition.h"
#include <bits/stdc++.h>
using namespace std;

std::vector<int> solve(std::vector<int> A)
{
    int n = A.size();
    vector<int> v;

    for(int i=0; i<n; i++)
    {
        if(i > n-1-i)continue;
        else if(i == n-1-i)v.push_back(i);
        else
        {
            v.push_back(i);
            v.push_back(n-1-i);
        }
    }

    return v;
}